import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideHttpClient } from '@angular/common/http';
import { provideHttpClientTesting } from '@angular/common/http/testing';

import { GuildCardComponent } from './guild-card.component';

describe('GuildCardComponent', () => {
    let component: GuildCardComponent;
    let fixture: ComponentFixture<GuildCardComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            imports: [GuildCardComponent],
            providers: [provideHttpClient(), provideHttpClientTesting()],
        }).compileComponents();

        fixture = TestBed.createComponent(GuildCardComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
